<? # TODO: Link "Familienmitglied eintragen" und "Familienmitglieder anzeigen"
   # Adressdaten sollen in der Maske voreingtragen werden
?>
<div class="module">Teilnehmerdaten &auml;ndern</div>
<br/>
<?
  $userNotFound = false;
  $deletedUser = 0;
  if (!empty($deleted)) {
      $deletedUser = 1;
  }
  if ($userId)
  {
      # Teilnehmerdaten lesen;
      $client = new user('', $userId,!empty($deleted));
      if (!$client->userId)
      {
          $userNotFound = true;
      }
  } else {
      if (strlen($versnummer) == 10)
      $client = new user($versnummer,0,$deleted);
      if (!$client->userId)
      {
          $userNotFound = true;
      } else {
          $userId = $client->userId;
      }
  }

  $empty = true;
  if ($userNotFound)
  {
      /* userId->getDeletedUser */
      $client = new user('', $userId, 1);
      if ($client->userId)
      {
          $userNotFound = false;
          $deletedUser = true;
      }

      /* Nach Versichertennummer fragen, wenn keine UserId angegeben wurde */
?>
  <form name="versnummer" action="<?=$_SERVER['REQUEST_URI']?>" method="POST">
    <fieldset class="fieldset"><legend>Versnr.</legend>
    <table>
      <tr>
        <td>Vers.Nummer</td>
        <td><input type="text" name="versnummer" /></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td><input type="submit" value="weiter"></td>
      </tr>
    </table>
    </fieldset>
  </form>
  <script language="JavaScript">
    document.forms.versnummer.versnummer.focus();
  </script>
<?
  } else {
      /* Hole Userdaten */
      if (!$client->userId) {
?>
  Die Versichertennummer <?=$myversnummer?> ist noch nicht eingetragen
<?
          $userId = 0;
          $empty = false;
      } elseif (isset($state) && $state == 'update') {
          if ($deletedUser && !$undelete)
          {
              echo "<strong>Dieser Teilnehmer wurde gel&ouml;scht!</strong>";
          }

          // TODO: Check Input
          // Von hinten nach vorne, damit der Focus richtig gesetzt wird

          $empty=false;
          if (!isset($status)) {
              $status = 1;
          }
          if ($comment == "")
          {
              if ($commentfree == "")
              {
                  $empty = true;
                  $focus = 'comment';
                  print "<span style='color: red; font-weight: bold'>Bitte Kommentar eingeben</span><br />\n";
              }
          }

          /*
          if ($email == "")
          {
              $empty = true;
              $focus = 'email';
          }
          */
          if ($ort == "")
          {
              $empty = true;
              $focus = 'ort';
          }
          if ($plz == "")
          {
              $empty = true;
              $focus = 'plz';
          }
          if ($strasse == "")
          {
              $empty = true;
              $focus = 'strasse';
          }
          /*
             if ($hausnummer == "")
             {
             $empty = true;
             $focus = 'hausnummer';
             }
           */

          if ($vorname == "") {
              $empty = true;
              $focus = 'vorname';
          }
          if ($name == "") {
              $empty = true;
              $focus = 'versnummer';
          }

          if ($versnummerfamilie) {
              $parent = new user($versnummerfamilie, 0,0, $rechtskreisfamilie);
              $mitglied = new mitglied($versnummerfamilie, $rechtskreisfamilie);
              if (!$parent->userId && !$mitglied->id) {
                  print "<span style='color: red; font-weight: bold'>Versicherungsnummer ($versnummerfamilie, $rechtskreisfamilie) f&uuml;r Familienmitglied existiert nicht.</span><br />\n";
                  print "PARENT ID: ". $parent->userId;
                  $empty = true;
              }
          }

          if ($anrede_frei != "")
          {
              $anrede = $anrede_frei;
          }

          if ($undelete) { $empty = false; }

          if (!$empty) {
              if ($undelete)
              {
                  $client->deleteUser(1);
                  $loggedIn->log('wiederhergestellt', $client->userId);
                  echo "Der Teilnehmer wurde erfolgreich wiederhergestellt.<br />\n";
              } else {
                  /* Wenn Daten angegeben wurden:
                     Teilnehmer updaten.... */
                  if ($geburtsdatumjahr) {
                      $geburtsdatum=$geburtsdatumjahr . '-' . $geburtsdatummonat . '-' . $geburtsdatumtag;
                  }

                  // Wurde 'freigeschaltet' geändert?
                  $oldfreigeschaltet = $client->freigeschaltet;
                  $client->versnummer = $versnummer;
                  $client->versnummerneu = $versnummerneu;
                  $client->passwort = $passwort;
                  $client->famityp = $famityp;
                  $client->versnummermv= $versnummerfamilie;
                  $client->rechtskreis = $rechtskreis;
                  $client->rechtskreisfamilie = $rechtskreisfamilie;
                  $client->geburtsdatum = $geburtsdatum;
                  $client->mitgliedseit= $mitgliedseit;
                  $client->anrede = capitalize($anrede);
                  $client->titel = capitalize($titel);
                  $client->name = capitalize($name);
                  $client->vorname = capitalize($vorname);
                  $client->strasse = capitalize($strasse,1);
                  $client->hausnummer = $hausnummer;
                  $client->plz = $plz;
                  $client->ort = capitalize($ort,1);
                  $client->land = capitalize($land,1);
                  $client->email = $email;
                  $client->deaktiviert = $deaktiviert;
                  $client->status = $status;
                  $client->freigeschaltet = $freigeschaltet?1:0;
                  $client->auszugperemail = $auszugperemail;
                  $client->ersteller = $loggedIn->userId;
                  $client->updateUserData($deletedUser);
                  if ($commentfree != '') $comment=$commentfree;
                  $loggedIn->log('Teilnehmer geaendert. '. escape($comment), $client->userId);
                  // Falls Freischaltung erfolgt ist:
                  if ($freigeschaltet && !$oldfreigeschaltet)
                  {
                      //sendkey($client);
                  }
                  ?>
                      Die Teilnehmerdaten wurden ge&auml;ndert.<br>
                      Hier geht es zur&uuml;ck zur Suchergebnisseite:
                      <?
              }
              if (! $login)
              {?>
                  <form name="search" action="<?=$_SERVER['PHP_SELF']?>?module=user&action=edit&userId=<?=$userId?>" method="POST">
                      <input type="submit" name="search" value="weiter" />
                      </form>
                      <script language="JavaScript">
                      document.forms.search.search.focus();
                  </script>

                      <?
              } else {?>
                  <form name="search" action="<?=$_SERVER['PHP_SELF']?>?module=<?=$module?>&action=search&state=submitted&userId=<?=$client->userId?>" method="POST">
                      <input type="submit" name="search" value="weiter" />
                      </form>
                      <script language="JavaScript">
                      document.forms.search.search.focus();
                  </script>
                      <?}?>
                      <?
          }
      }
  }
if ($deletedUser && !$undelete) {
    echo "<strong>Dieser Teilnehmer wurde gel&ouml;scht!</strong>";
}


  if ($empty && $userId) {
# Formular ist leer, aber eine UserId wurde angegeben -> Zeige Daten im
# Formular an
    $erstellungsdatum = time();
    $ersteller = $loggedIn->userId;

    $userId = $client->userId;
    $anrede = $client->anrede;
    $titel = $client->titel;
    $name = $client->name;
    $vorname = $client->vorname;
    $strasse = $client->strasse;
    $hausnummer = $client->hausnummer;
    $plz = $client->plz;
    $ort = $client->ort;
    $land = $client->land;
    $email = $client->email;
    $versnummer = $client->versnummer;
    $versnummerneu = $client->versnummerneu;
    $passwort = $client->passwort;
    $famityp = $client->famityp;
    $versnummerfamilie= $client->versnummermv;
    $rechtskreis = $client->rechtskreis;
    print "<!-- Rechtskreisfamilie: $client->rechtskreisfamilie -->\n";
    $rechtskreisfamilie = $client->rechtskreisfamilie;
    $geburtsdatum = $client->geburtsdatum;
    $mitgliedseit= $client->mitgliedseit;
    $erstellt = date('d.m.Y H:i', $client->erstellungsdatum);
    $geaendert = date('d.m.Y H:i', $client->aenderungsdatum);
    $deaktiviert = $client->deaktiviert;
    $status = $client->status;
    $freigeschaltet = $client->freigeschaltet;
    $auszugperemail = $client->auszugperemail;

    $tmpDatum = explode('-',$geburtsdatum);
    $geburtsdatumtag = $tmpDatum[2];
    $geburtsdatummonat = $tmpDatum[1];
    $geburtsdatumjahr = $tmpDatum[0];

    $logentries= array();
    $query = "SELECT * FROM userlogs WHERE object = '" . $userId .  "' order by timestamp DESC";
    $result = dbQuery($query) or
        error("Kann User " . $admin->login . " nicht aus dem Log holen: " .
                dbError());

    while ($row = dbFetchRow($result)) {
        $logentry = new logentry();

        $logentry->userId = $row['userId'];
        $logentry->aktion = $row['aktion'];
        $logentry->date = date('d.m.Y H:i', $row['timestamp']);
        $logentry->object = $row['object'];

        if ($logentry->userId != $userId) {
            $query = "SELECT * FROM admins WHERE userId = '". $logentry->userId. "'";
            $result_users = dbQuery($query) or
                error("Kann Admin ID " . $object . " nicht aus der
                        Datenbank holen: " . dbQuery());
            $row = dbFetchRow($result_users);
            dbFreeResult($result_users);
            $admin = $row['login'] . " (" . $row['name']. ")";
        } else {
            $admin = 'Selbst (Internet)';
        }
        $logentry->userId = $admin;
        array_push($logentries, $logentry);
    }
    $_SESSION['searchuser'] = true;
    include("views/$module/edit.php");
  }




  function sendkey($user)
  {
      if ($client->schluessel == '') {
          $client->schluessel = getKey();
          $client->updateUserData($deletedUser);
      }

      $link = 'http://' . $_SERVER['HTTP_HOST'] . $rooturl . 'konto/newpassword.php?id=' . $client->schluessel . '&hmskin=O18';
  }

?>
